> For the complete documentation index, see [llms.txt](https://docs.wisej.com/ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/ai/components/api/tools/wisej.ai.tools.fullcalendartools.md).

# FullCalendarTools

Namespace: **Wisej.AI.Tools**

Assembly: **Wisej.AI** (3.5.0.0)

* [ToolsContainer](/ai/components/api/tools/wisej.ai.tools.toolscontainer.md)
  * [FullCalendarTools](/ai/components/api/tools/wisej.ai.tools.fullcalendartools.md)

Provides tools to manage a calendar control, allowing for the addition, retrieval, deletion, and modification of events.

{% tabs %}
{% tab title="C#" %}

```csharp
public class FullCalendarTools : ToolsContainer
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class FullCalendarTools
    Inherits ToolsContainer
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/ptrKjmmRoQB76pvrIqh0) FullCalendarTools(calendar)

Initializes a new instance of the [FullCalendarTools](/ai/components/api/tools/wisej.ai.tools.fullcalendartools.md) class with the specified calendar.

| Name         | Type                                                                                 | Description                              |
| ------------ | ------------------------------------------------------------------------------------ | ---------------------------------------- |
| **calendar** | [FullCalendar](https://docs.wisej.com/api?q=wisej.web.ext.fullcalendar.fullcalendar) | The calendar to be managed by this tool. |

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception)\
  Thrown when the provided calendar is null.

## Properties

### ![](/files/ptrKjmmRoQB76pvrIqh0) Calendar

[FullCalendar](https://docs.wisej.com/api?q=wisej.web.ext.fullcalendar.fullcalendar): Gets or sets the calendar associated with this tool. (Default: `null`)

## Methods

### ![](/files/KL0Ik37djZRr8a07Wopd) add\_events(titles, start, end, allDay)

Adds one or more events to the calendar.

| Parameter  | Type                                                                  | Description                                                                                                                                            |
| ---------- | --------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **titles** | [String\[\]](https://docs.microsoft.com/dotnet/api/system.string)     | Titles of the events. Create a short description of the event from the question. Fix for typos and grammar error, do not repeat the date of the event. |
| **start**  | [DateTime\[\]](https://docs.microsoft.com/dotnet/api/system.datetime) | Start date/time of the events. When not specified, deduct it from the type of event.                                                                   |
| **end**    | [DateTime\[\]](https://docs.microsoft.com/dotnet/api/system.datetime) | Ending date/time for the events. Deduct the ending date from the starting date and the title of the event.                                             |
| **allDay** | [Boolean\[\]](https://docs.microsoft.com/dotnet/api/system.boolean)   | Indicates whether the event is a full day event.                                                                                                       |

### ![](/files/KL0Ik37djZRr8a07Wopd) change\_events(ids, newTitles, newStarts, newEnds)

Changes the title, start date/time, and ending date/time of the events identified by their IDs.

| Parameter     | Type                                                                  | Description                         |
| ------------- | --------------------------------------------------------------------- | ----------------------------------- |
| **ids**       | [String\[\]](https://docs.microsoft.com/dotnet/api/system.string)     | IDs of the events to change.        |
| **newTitles** | [String\[\]](https://docs.microsoft.com/dotnet/api/system.string)     | New title of the events.            |
| **newStarts** | [DateTime\[\]](https://docs.microsoft.com/dotnet/api/system.datetime) | New start date/time of the events.  |
| **newEnds**   | [DateTime\[\]](https://docs.microsoft.com/dotnet/api/system.datetime) | New ending date/time of the events. |

### ![](/files/KL0Ik37djZRr8a07Wopd) delete\_events(ids)

Deletes events from the calendar identified by their IDs.

| Parameter | Type                                                              | Description                                    |
| --------- | ----------------------------------------------------------------- | ---------------------------------------------- |
| **ids**   | [String\[\]](https://docs.microsoft.com/dotnet/api/system.string) | IDs of the events to remove from the calendar. |

### ![](/files/KL0Ik37djZRr8a07Wopd) get\_events(fromDate, toDate)

Retrieves events from the calendar within the specified date range.

| Parameter    | Type                                                              | Description                             |
| ------------ | ----------------------------------------------------------------- | --------------------------------------- |
| **fromDate** | [DateTime](https://docs.microsoft.com/dotnet/api/system.datetime) | Start date/time of the range requested. |
| **toDate**   | [DateTime](https://docs.microsoft.com/dotnet/api/system.datetime) | End date/time of the range requested.   |

**Returns:** [Object\[\]](https://docs.microsoft.com/dotnet/api/system.object). An array of objects containing the title, date, time, and duration of the events.

## Implements

| Name                                                                          | Description                                                                                           |
| ----------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| [IToolsContainer](/ai/components/api/tools/wisej.ai.tools.itoolscontainer.md) | Represents a container for tools, providing access to a hub, adapter, and a collection of parameters. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/ai/components/api/tools/wisej.ai.tools.fullcalendartools.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
